Bug 105447 - "About LibreOffice" keyboard shortcut in "Help" menu
Summary: "About LibreOffice" keyboard shortcut in "Help" menu
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium trivial
Assignee: Yousuf Philips (jay) (retired)
URL:
Whiteboard: target:5.4.0
Keywords: difficultyBeginner, easyHack, skillDesign
Depends on:
Blocks: Shortcuts-Accelerators Help-Menu
  Show dependency treegraph
 
Reported: 2017-01-20 09:24 UTC by Óvári
Modified: 2017-06-14 16:02 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
screen shot showing current keyboard shortcut for "About LibreOffice" (112.43 KB, image/png)
2017-01-20 09:25 UTC, Óvári
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Óvári 2017-01-20 09:24:43 UTC
Description:
In Help menu, rename keyboard shortcut from ‘b’ “About LibreOffice” to ‘A’ “About LibreOffice”

Thank you

Version: 5.3.0.1
Build ID: 3b800451b1d0c48045de03b5b3c7bbbac87f20d9
CPU Threads: 2; OS Version: Linux 4.4; UI Render: default; VCL: gtk2; Layout Engine: new; 
Locale: en-AU (en_AU.UTF-8); Calc: group

Steps to Reproduce:
1. Alt+H
2. Last item shows "About LibreOffice" with the 'b' underlined indicating keyboard shortcut is 'b'

Actual Results:  
Keyboard shortcut is ‘b’ in “About LibreOffice”.

Expected Results:
Keyboard shortcut seems better as ‘A’ in “About LibreOffice” with 'A' being underlined.


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:50.0) Gecko/20100101 Firefox/50.0
Comment 1 Óvári 2017-01-20 09:25:32 UTC
Created attachment 130572 [details]
screen shot showing current keyboard shortcut for "About LibreOffice"
Comment 2 V Stuart Foote 2017-01-20 21:10:05 UTC
Why?

No conflict with the accelerator selected. It has been set to this accelerator for duration, not clear a change would serve any purpose.

=-ref-=

http://opengrok.libreoffice.org/xref/core/officecfg/registry/data/org/openoffice/Office/UI/GenericCommands.xcu#5375

and its unit test

http://opengrok.libreoffice.org/xref/core/configmgr/qa/unit/data.xcd#4552
Comment 3 Óvári 2017-01-20 23:06:14 UTC
(In reply to V Stuart Foote from comment #2)
> Why?
Hopefully this will provide some clear purpose why the change…

Cleaning the LibreOffice code was criticised by some as a waste of time as it did not provide any extra functionality; however, long term it was the right decision…

Helping people over the phone, you can ask them to press Alt+H then the letter ‘A’; same as other creditable programs…

LibreOffice will be consistent with other programs with ‘A’ as the keyboard shortcut for “About...”. Examples of the these programs:
Audacity         http://www.audacityteam.org/
FileZilla        https://filezilla-project.org/
Firefox          https://www.mozilla.org/firefox/
GIMP             https://www.gimp.org/
Microsoft Office 
Nemo             Linux Mint file manager
Thunderbird      https://www.mozilla.org/thunderbird/
VLC              https://www.videolan.org/
I’m sure you can find programs that do not have “A” as the keyboard shortcut; however, it seems that creditable programs do use “A”…

Perhaps it is in the Human Interface Guidelines (HIG)…

Thank you
Comment 4 tommy27 2017-01-21 04:15:21 UTC
I agree with Ovari
when possible, shortcuts should be assigned to first letters.
status NEW
Comment 5 Yousuf Philips (jay) (retired) 2017-01-26 13:16:29 UTC
I would be infavour of the change based on comment 3 and comment 4. Only downside is retranslation. :D

@Heiko, @Adolfo: What about you?
Comment 6 Heiko Tietze 2017-01-26 20:09:23 UTC
(In reply to Yousuf Philips (jay) from comment #5)
> @Heiko, @Adolfo: What about you?

Ideally the first letter should be the accelerator, so yes.


/cite (https://msdn.microsoft.com/en-us/library/ms971323.aspx)
* Make access keys discoverable.

  Access keys must be easy for the user to find. Choose letters for access keys as close to the beginning of the label as possible — for example, Settings. The following are good letter choices:
  ** Letters at the beginning of the first or second word of the label.
  ** A distinctive consonant or a vowel in the label.
  ** Letters with wide widths, such as w, m, and capital letters.

  Avoid using letters that are difficult to see when they are assigned to access keys. These letters include:
  ** Letters with descenders, such as p, g, q, or y.
  ** Letters next to a letter with a descender.
  ** Letters that are only one pixel wide, such as i or l.

* Avoid duplicating access keys.
* Do not use access keys for default buttons or buttons in dialog box templates.
Comment 7 Yousuf Philips (jay) (retired) 2017-01-28 10:20:16 UTC
Patch is in - https://gerrit.libreoffice.org/33646
Comment 8 Óvári 2017-01-28 10:32:48 UTC
(In reply to Yousuf Philips (jay) from comment #7)
> Patch is in - https://gerrit.libreoffice.org/33646

Please leave the accelerator on the 'U' in:
Check for ~Updates

Thank you.
Comment 9 Óvári 2017-01-28 10:38:40 UTC
(In reply to Yousuf Philips (jay) from comment #7)
> Patch is in - https://gerrit.libreoffice.org/33646

If you want consistency with Mozilla Firefox:
  ~Send Feedback...
could become:
  ~Submit Feedback...

Sounds a bit more professional too.

Thank you
Comment 10 Commit Notification 2017-02-09 22:41:25 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8dc38dd9b132805191e0d20d00fb7559121fda15

tdf#105447 Move accelerator to first letters in Help menu

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Yousuf Philips (jay) (retired) 2017-05-02 14:02:38 UTC
(In reply to Óvári from comment #8)
> Please leave the accelerator on the 'U' in:
> Check for ~Updates

@Stuart: Whats your take? If that is changed back, then '~User Guides' would also need to be changed to likely 'User ~Guides', but that would conflict with '~Get Help Online'.
Comment 12 Óvári 2017-06-09 07:53:28 UTC
(In reply to Commit Notification from comment #10)
Version: 5.4.0.0.beta2
Build ID: 3cc1cdd8ee50f144e5514da51800a08119754d8f
CPU threads: 2; OS: Linux 4.8; UI render: default; VCL: gtk2; 
Locale: en-AU (en_AU.UTF-8); Calc: group
Status --> VERIFIED